unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Reminder, WerCrt;

type
  TMainForm = class(TForm)
    MainTimer: TTimer;
    procedure MainTimerTimer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure WmNcHitTest(var Msg:TMessage);message WM_NCHITTEST;
    procedure WmNcLButtonDown(var Msg:TMessage);message WM_NCLBUTTONDOWN;
    procedure WmNcLButtonUp(var Msg:TMessage);message WM_NCLBUTTONUP;
    procedure FormClick(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

var Ticks:Integer;

var Drag,Dragged:boolean;
procedure TMainForm.MainTimerTimer(Sender: TObject);
begin
  Inc(Ticks);
  case Ticks of
    1:
      Left := (Forms.Screen.Width-Width) div 2;
    2..50:
      AlphaBlendValue:=Round(255*Ticks/60);
    51..249:Drag:=True;
    250:Drag:=False;
    251..300:
      if not Dragged then
        AlphaBlendValue:=Round(255*(300-Ticks)/60);
    else
      Close;
    end;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  _Main;
  SetForm(MainForm);
  Draw;
  {Width:=Labels[MaxX,MaxY].Left+Labels[MaxX,MaxY].Width;
  Height:=Labels[MaxX,MaxY].Top+Labels[MaxX,MaxY].Height;}
  Canvas.Font:=Font;
  ClientWidth:=Canvas.TextWidth('W')*MaxY;
  ClientHeight:=Canvas.TextHeight('Wq^!_l|')*MaxX;
  Left := (Forms.Screen.Width-Width) div 2;
  Top := 0;
end;

procedure TMainForm.WmNcHitTest(var Msg:TMessage);
begin
  Msg.Result:=DefWindowProc(Handle,Msg.Msg,Msg.WParam,Msg.LParam);
{  if Drag and (Msg.Result=htClient) then
    begin
    Msg.Result:=htCaption;
    Dragged:=True;
    end;}
end;

procedure TMainForm.FormClick(Sender: TObject);
begin
  AlphaBlendValue:=213;
  MainTimer.Enabled:=False;
  //Drag:=True;
end;

procedure TMainForm.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  {Drag:=True;
  Dragged:=False;
  DefWindowProc(Handle,WM_NCLBUTTONDOWN,0,0);}
end;

procedure TMainForm.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  {Drag:=False;
  if not Dragged then}
    case Button of
      mbLeft:
        begin
        {AlphaBlend:=False;
        MainTimer.Enabled:=False;}
        end;
      mbRight:
        Close;
      end;
end;

procedure TMainForm.WmNcLButtonDown(var Msg:TMessage);
begin
  {Drag:=True;
  Dragged:=False;}
end;

procedure TMainForm.WmNcLButtonUp(var Msg:TMessage);
begin
  {Drag:=False;}
end;

end.

